---
title: "Welcome to the new website!!"
date: 2022-12-02T11:10:17-07:00
draft: true
---
**UPDATE (May 29, 2022) :** Resurrection is now updated and my main projects are now highlighted on the website. Thank you for your patience!

Hello, and welcome to the new website! Now I have the ability to post blogs and easily add and edit information about projects I currently work on. So far everything has been going fairly smoothly, but a couple of unexpected road-blocks have surely arisen. In the meantime, I wanted to give you more information about why I chose to switch the domain for my web server, and what were the drawbacks of doing so.

### Why Did I Change Domains?

It's a combination of four different reasons, half of which are not well justified by simply buying a new domain:

1. This new domain is cheaper to maintain for longer periods of time.
1. I would like to escape using Google services as much as possible, of which the old domain was registered with.
1. I wanted an excuse to start this new website made with the Django framework, and the downtime gave me an excuse to do so.
1. I have no idea how to switch around `certbot` certificates between web servers.

### What were the Drawbacks of Changing Domains?

There weren't very many! The minor one is that I just have to go back to any of my accounts online that mention the old domain and add the new one instead.

The major drawback is that all versions of my projects that use my web server to check for updates now return errors. These projects include:

* Resurrection (Java throws errors, but doesn't affect the functionality of the program afterwards.)
* Wiimmfi Watcher (Displays a Toast saying there was an issue, but this project is no longer maintained anyway.)

Resurrection 1.3.2 will release in the next two days to point to the correct domain to check for updates.

### What Will Happen with this New Website?

Not much really.

I have always seen my website as a way to quickly showcase the projects I've worked on and I wanted to not only make it easier to add and update my projects on my website, but also be able to post blogs on topics that I believe are relevant and show how much I have grown. So hopefully you will be here for the ride while I work on getting the website fully functional!
